//
// returns gamma, the angle in degrees
// between the scaled correction vector
// db and the scaled gradient vector g.
//

#include "fit.h"
cdbl radian_to_deg = 180.0/M_PI;   // 180/pi converts radians to degrees

dbl gamma(dbl* db, dbl* g, int npar)
{
    int j;
    double gg, dd, dg, cos_gam, gamma;

    gg = dd = dg = 0.0;
    for (j = 0 ; j < npar ; j++) {
        gg += g[j] * g[j];
        dd += db[j] * db[j];
        dg += db[j] * g[j];
    }
    if ( dd * gg > 0.0 ) {
        cos_gam = dg/sqrt(dd * gg);
        gamma = radian_to_deg * acos(cos_gam);
    }
    else
        gamma = 0.0 ;

    return gamma ;
}

