//
// gets data from datafile into x, y, and s
//
#include "fit.h"

void get_data(char** argv, dbl* x, dbl* y, dbl* s)
{
    extern int optind;
    off_on    flag;
    int k, n, cnt=0, pt=0;
    string line;
    dbl val;

    ifstream ifs;
    ifs.open(argv[optind]);
    gassert(ifs);

    for (n = 0, flag = on ; getline(ifs, line) ; n++) {
        if (line.find("#") < maxlen) {  // comment line
            continue;                   // so ignore it
        }

//        istringstream    iss(line);    // for g++ version >= 2.95.3
        istrstream    iss(line.c_str()); // for g++ version <= 2.95.3
        gassert(iss);

        for (k = 0 ; iss >> val ; k++ ); // count fields per line
        if (flag) {                      // save no of fields
            cnt = k;                     // for 1st data point
            flag = off;
        }
        if (k == 0) {
            err("found a blank line in \"", argv[optind],
                "\" at line ", n+1);
        }
        if (k == 1 || k > 3) {
            err("must have either 2 or 3 entries per "
            "datafile line");
        }
        if (k != cnt) {
            err("inconsistent number of fields in datafile "
                 "at line", n+1);
        }
        
        grewind( iss );                  // get the data into x[]
        iss >> x[pt];
        iss >> y[pt];
        if ( !(iss >> s[pt])) s[pt] = 1.0;
        pt++;
    }
    ifs.close();
}
