//
// prints a brief "help file" on the screen
// for the makefitfiles (mff) executable
//

#include "mff.h"

void prn_mff_info(char** argv)
{
    prn_mff_usage(argv);

   cerr << "    \"" << argv[0] << "\" will produce the files you will need for\n"
           "    using \"fit\", a program that will fit a chosen mathematical\n"
           "    function to a set of data points.  In an empty directory,\n"
           "    give the command\n"
           "\n"
           "        makefitfiles here\n"
           "\n"
           "    This will create four files in that directory: a sample\n"
           "    \"func.c\", a sample \"Makefile\", a sample datafile and a\n"
           "    sample paramfile which you may then use.  First, look at\n"
           "    the Makefile, to make sure it will look for \"libfit.a\" and\n"
           "    the needed header files in the correct places.  Edit this\n"
           "    Makefile if you need to make it consonant with your system.\n"
           "\n"
           "    Second, test whether the fit program will work on your\n"
           "    machine, by giving the command \"make\".  The created \"func.c\"\n"
           "    should compile, and you should be able to produce a nice\n"
           "    graph showing a fit to a single gaussian line (the sample),\n"
           "    by giving the pair of commands (for example)\n"
           "\n"
           "        fit --output gnuplot --sigma gaussdata gausspars\n"
           "        gnuplot gaussdata.gnu\n"
           "\n"
           "    Third, the sample \"func.c\" may be edited to suit the\n"
           "    nature of your particular curve-fitting problem, after\n"
           "    which you may again give the command \"make\", and if you\n"
           "    have arranged everything correctly the program should be\n"
           "    able to produce a curve that fits your data.  For more\n"
           "    information give the command \"man fit\".\n"
           "\n"
           " Options:\n"
           "    --help                prints this message\n"
           "    --version             prints version number\n"
           "\n"
           " Single-letter options (try "
           << argv[0] <<
           " -v) also exist.\n\n";
}
